
* EXAMPLE 17 - USER-WRITTEN INFORMAT TO 'CLEAN' DATA;

proc format;
invalue chol
N/A = .
low - 49 = .L
50 - 499 = _same_
500 - high = .H
;
value chol
.  = 'MISSING'
.L = 'TOO LOW' 
.H = 'TOO HIGH'
 50 - 129 = 'OPTIMAL/NEAR OPTIMAL'
130 - 159 = 'BORDERLINE HIGH'  
160 - 499 = 'HIGH/VERY HIGH'
;
run;

data test;
input id : $3. chol : chol. @@;
datalines;
123 N/A	 234 10 345 600 456 80  567 150 678 280
;
run;

title "EXAMPLE 17 - DATA 'CLEANED' WITH AN INFORMAT";
proc report data=test nowd;
columns id chol chol=chollabel;
define chol / display;
define chollabel / display  'cholesterol group' format=chol.;
run;

title;
proc means data=test n mean maxdec=1;
run;
